#include "src/ATBAPP/ATBHealthEvent.h"

ATBHealthEvent::ATBHealthEvent(ATB_HEALTH_MODE mode, const QString & errorNumber, const QString & errorDescription) :
    QEvent(ATB_HEALTH_EVENT),
    healthMode(mode),
    errorNumber(errorNumber),
    errorDescription(errorDescription)
{

}

QString ATBHealthEvent::getErrorNumber()
{
    return this->errorNumber;
}

QString ATBHealthEvent::getErrorDescription()
{
    return this->errorDescription;
}

ATB_HEALTH_MODE ATBHealthEvent::getMode()
{
    return this->healthMode;
}
